import { useContext } from "react";
import { TuitioContext } from "../contexts";

const useTuitioUser = () => {
  const state = useContext(TuitioContext);
  const userName = state.userName;
  const lastLoginDate = state.token?.validFrom;
  return { userName, lastLoginDate };
};

export { useTuitioUser };
