import type { TuitioToken } from "@flare/tuitio-client";

export type TuitioConfiguration = { tuitioUrl: string | null };
export type TuitioReactState = { userName: string; token: TuitioToken | null; configuration: TuitioConfiguration };
export type TuitioDispatchActions = {
  onLoginSuccess: (token: TuitioToken, userName: string) => void;
  onLogout: () => void;
};
