import { fetch } from "@flare/tuitio-client";
import type { TuitioReactState, TuitioDispatchActions } from "./types";

const { userName, token } = fetch();

export const initialState: TuitioReactState = {
  userName,
  token,
  configuration: { tuitioUrl: null }
};

export const initialDispatchActions: TuitioDispatchActions = {
  onLoginSuccess: () => undefined,
  onLogout: () => undefined
};
